if not bashmatic.configs.death.event then
    cecho("<firebrick>BASHMATIC: You must configure the death trigger first. Please see bm help for more info.")
else
    if bashmatic.configs.enemies.detection == "inline" then
        -- using trigger detection
        local area = nil
        if bashmatic.configs.areas.detection == "mapper" then area = GetRoomAreaName(GetRoomArea(GetPlayerRoom())) end
        if bashmatic.configs.areas.detection == "gmcp" and bashmatic.configs.areas.data ~= nil then area = bashmatic.configs.areas.data end
        inlineAddTarget(matches[2], area)
    elseif bashmatic.configs.enemies.detection == "gmcp" then
        -- using gmcp detection
        cecho("<firebrick>BASHMATIC: GMCP not implemented yet.")
    else
        -- well this is broken
        cecho("<firebrick>BASHMATIC: Invalid enemy detection method.<reset>")
    end
end